File: control

package info (click to toggle)
emacs 1:27.1+1-3.1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 146,872 kB
  • sloc: lisp: 1,165,084; ansic: 345,028; objc: 17,368; sh: 7,080; makefile: 6,121; cpp: 1,851; yacc: 1,566; perl: 1,265; xml: 1,138; php: 1,035; pascal: 1,011; python: 998; cs: 770; ada: 725; awk: 669; ruby: 401; javascript: 181; erlang: 153; java: 47
file content (150 lines) | stat: -rw-r--r-- 4,985 bytes parent folder | download | duplicates (2)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
Source: emacs
Section: editors
Priority: optional
Maintainer: Rob Browning <rlb@defaultvalue.org>
Build-Depends: bsd-mailx | mailx, libncurses5-dev, texinfo, liblockfile-dev, librsvg2-dev,
 dbus-x11,
 git,
 gnupg-agent,
 libgif-dev,
 libtiff-dev,
 libsystemd-dev,
 procps,
 xaw3dg-dev,
 libpng-dev, libjpeg-dev, libm17n-dev, libotf-dev,
 libgpm-dev [linux-any], libdbus-1-dev,
 autoconf,
 automake,
 dpkg-dev (>> 1.10.0),
 quilt (>= 0.42),
 debhelper (>= 10),
 libxaw7-dev,
 sharutils,
 imagemagick,
 libcairo-dev,
 libgmp-dev,
 libgtk-3-dev,
 libgnutls28-dev, libxml2-dev, libselinux1-dev [linux-any],
 libharfbuzz-dev,
 libjansson-dev,
 libasound2-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
 libmagick++-6.q16-dev,
 libacl1-dev,
 liboss4-salsa-dev [hurd-i386 kfreebsd-i386 kfreebsd-amd64],
 zlib1g-dev
Homepage: https://www.gnu.org/software/emacs/
Standards-Version: 3.7.2
Vcs-Browser: https://salsa.debian.org/rlb/deb-emacs
Vcs-Git: https://salsa.debian.org/rlb/deb-emacs.git

Package: emacs
Architecture: all
Depends:
  emacs-gtk (>= 1:27.1) | emacs-lucid (>= 1:27.1) | emacs-nox (>= 1:27.1),
  ${misc:Depends}
Description: GNU Emacs editor (metapackage)
 GNU Emacs is the extensible self-documenting text editor.
 This is a metapackage that will always depend on the latest
 recommended Emacs variant (currently emacs-gtk).

Package: emacs-lucid
Architecture: any
Depends:
  emacs-bin-common (= ${binary:Version}),
  emacs-common (= ${source:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Provides: emacs, emacsen, editor, info-browser, mail-reader, news-reader
Suggests: emacs-common-non-dfsg
Conflicts: emacs-gtk, emacs-nox
Replaces: emacs-gtk, emacs-nox,
Description: GNU Emacs editor (with Lucid GUI support)
 GNU Emacs is the extensible self-documenting text editor.  This
 package contains a version of Emacs with support for a graphical user
 interface based on the Lucid toolkit (instead of the GTK+ interface
 provided by the emacs-gtk package).  Until some known GTK+
 problems are fixed, this version may help avoid crashing Emacs during
 an emacsclient disconnect.  See
 https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=567934 and
 https://bugzilla.gnome.org/show_bug.cgi?id=85715 for more
 information.

Package: emacs-nox
Architecture: any
Depends:
  emacs-bin-common (= ${binary:Version}),
  emacs-common (= ${source:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Provides: emacs, emacsen, editor, info-browser, mail-reader, news-reader
Suggests: emacs-common-non-dfsg
Conflicts: emacs-gtk, emacs-lucid
Replaces: emacs-gtk, emacs-lucid,
Description: GNU Emacs editor (without GUI support)
 GNU Emacs is the extensible self-documenting text editor.  This
 package contains a version of Emacs compiled without support for X,
 and provides only a text terminal interface.

Package: emacs-gtk
Architecture: any
Depends:
  emacs-bin-common (= ${binary:Version}),
  emacs-common (= ${source:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Provides: emacs, emacsen, editor, info-browser, mail-reader, news-reader
Suggests: emacs-common-non-dfsg
Conflicts: emacs-lucid, emacs-nox
Replaces: emacs-lucid, emacs-nox,
Description: GNU Emacs editor (with GTK+ GUI support)
 GNU Emacs is the extensible self-documenting text editor.  This
 package contains a version of Emacs with a graphical user interface
 based on GTK+ (instead of the Lucid toolkit provided by the
 emacs-lucid package).

Package: emacs-bin-common
Architecture: any
Depends: emacs-common (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: mailutils
Description: GNU Emacs editor's shared, architecture dependent files
 GNU Emacs is the extensible self-documenting text editor.
 This package contains the architecture dependent infrastructure
 that's shared by emacs-gtk, emacs-lucid, and emacs-nox.

Package: emacs-common
Architecture: all
Depends: emacsen-common (>= 3.0.0), install-info, ${misc:Depends}
Recommends: emacs-el
Suggests: emacs-common-non-dfsg, ncurses-term
Conflicts: emacs-el (<< ${source:Version}), cedet, eieio, speedbar, gnus-bonus-el
Breaks:
 emacs (<< 1:25),
 emacs-gtk (<< 1:25),
 emacs-lucid (<< 1:25),
 emacs-nox (<< 1:25),
 emacs21,
 emacs21-nox,
 emacs22,
 emacs22-gtk,
 emacs22-nox,
 emacs23,
 emacs23-lucid,
 emacs23-nox,
 emacs24,
 emacs24-lucid,
 emacs24-nox,
 emacs25,
 emacs25-lucid,
 emacs25-nox,
 apel (<< 10.8+0.20120427-4),
 edb (<< 1.32),
 egg (<< 4.2.0-2),
Description: GNU Emacs editor's shared, architecture independent infrastructure
 GNU Emacs is the extensible self-documenting text editor.
 This package contains the architecture independent infrastructure
 that's shared by emacs-gtk, emacs-lucid, and emacs-nox.

Package: emacs-el
Architecture: all
Depends: emacs-common (= ${source:Version}), ${misc:Depends}
Description: GNU Emacs LISP (.el) files
 GNU Emacs is the extensible self-documenting text editor.
 This package contains the elisp sources for the convenience of users,
 saving space in the main package for small systems.